> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/enterprises > Updates all relevent enterprise information. ## OpenAPI ````json PATCH /v1/enterprises { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/enterprises": { "patch": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1EnterprisesPatchRequest" } } } }, "responses": { "204": { "description": "No Content" } }, "description": "Updates all relevent enterprise information." } } }, "components": { "schemas": { "v1EnterprisesPatchRequest": { "type": "object", "properties": { "adminEmail": { "type": "string", "example": "example string" }, "backboneApisEnabled": { "type": "boolean", "example": true }, "cloudProvider": { "type": "string", "example": "ENUM_VALUE" }, "companyName": { "type": "string", "example": "example string" }, "creditLimit": { "type": "integer", "format": "int32", "example": 123 }, "description": { "type": "string", "example": "example string" }, "enterpriseContract": { "$ref": "#/components/schemas/commonBillingContract" }, "enterpriseId": { "type": "integer", "format": "int64", "example": 1234567891011, "description": " (required)" }, "impersonationEnabled": { "type": "boolean", "example": true }, "logo": { "type": "string", "example": "example string" }, "marketplaceId": { "type": "string", "example": "example string" }, "portalBanner": { "type": "string", "example": "example string" }, "proxyTenantId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "smallLogo": { "type": "string", "example": "example string" }, "tokenExpiry": { "$ref": "#/components/schemas/v1EnterprisesPatchRequestTokenExpiry" } }, "additionalProperties": false, "required": [ "enterpriseId" ] }, "commonBillingContract": { "type": "object", "properties": { "contractedCredits": { "type": "number", "format": "float", "example": 12.34, "description": "Number of credits agreed upon for the entirety of the current contract" }, "expirationDate": { "$ref": "#/components/schemas/commonBillingTimePeriod" } }, "additionalProperties": false }, "v1EnterprisesPatchRequestTokenExpiry": { "type": "object", "properties": { "length": { "type": "integer", "format": "int32", "example": 123 }, "timeUnit": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "commonBillingTimePeriod": { "type": "object", "properties": { "month": { "type": "integer", "format": "int32", "example": 123 }, "year": { "type": "integer", "format": "int32", "example": 123 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````